Skip to main content
POST
/
zone
cURL
curl --request POST \
  --url https://api.brightdata.com/zone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "zone": {
    "name": "zone-name",
    "type": "serp"
  },
  "plan": {
    "type": "unblocker",
    "serp": true,
    "country": "any",
    "solve_captcha_disable": true,
    "custom_headers": false
  }
}
'
This API can modify your account settings, damage your operations or incur charges.
Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key

ISP proxy zone examples

Creating an ISP zone requires specific parameter combinations. The fields below are not optional. Omitting them will silently create the wrong zone type or billing plan.
Setting zone.type to ISP alone will create a Datacenter zone, not an ISP zone. You must also set plan.pool_ip_type to static_res. Country codes must be lowercase (e.g. us, gb). Uppercase codes return a misleading “no IPs available” error.

Shared ISP (pay-per-GB)

{
  "zone": { "name": "my_isp_zone", "type": "ISP" },
  "plan": {
    "type": "static",
    "pool_ip_type": "static_res",
    "ips_type": "shared",
    "bandwidth": "bandwidth",
    "country": "us"
  }
}

Shared ISP (unlimited bandwidth)

Setting bandwidth: unlimited alone does not activate unlimited billing. You must also include unl_bw_tiers: std.
{
  "zone": { "name": "my_isp_zone", "type": "ISP" },
  "plan": {
    "type": "static",
    "pool_ip_type": "static_res",
    "ips_type": "shared",
    "bandwidth": "unlimited",
    "unl_bw_tiers": "std",
    "country": "us"
  }
}

Dedicated ISP (unlimited bandwidth)

{
  "zone": { "name": "my_isp_zone", "type": "ISP" },
  "plan": {
    "type": "static",
    "pool_ip_type": "static_res",
    "ips_type": "dedicated",
    "bandwidth": "unlimited",
    "unl_bw_tiers": "std",
    "country": "us",
    "ips": 10
  }
}

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Body

application/json
zone
object
required
Example:
{ "name": "zone-name", "type": "serp" }
plan
SERP API · object
required

Creates a SERP API zone for scraping search engine results.

Response

201

Zone added